<!--
  Generated template for the Player page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.

  style="background: #141e30; /* fallback for old browsers */
  background: -webkit-linear-gradient(to top, #000,#cb356b, #bd3f32); /* Chrome 10-25, Safari 5.1-6 */
background: linear-gradient(to top, #000,#cb356b, #bd3f32);text-align: center"


-->
<div
  class="background-image"
  [style.backgroundImage]="'url(' + tracks.art + ')'"
></div>
<ion-content
  style="background: rgba(0, 0, 0, 0.6) !important;text-align: center"
>
  <ion-row [class.hide]="md.full">
    <ion-col col-2 color="danger" style="color: white">
      <button (click)="back()" ion-button clear style="color:white" icon-only>
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-col>
    <ion-col col-8 color="danger" style="color: white">
      <button (click)="back()" ion-button clear style="color:white">
        {{ tracks.artist }}
      </button>
    </ion-col>
    <ion-col col-2 color="danger" style="color: white">
      <button (click)="action()" ion-button clear style="color:white" icon-only>
        <ion-icon name="more"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
  <button
    [hidden]="link"
    (click)="play(current)"
    ion-button
    clear
    style="color:white;font-size: 5rem"
    icon-only
  >
    <ion-icon name="play"></ion-icon>
  </button>

  <iframe
    [hidden]="!link"
    type="text/html"
    [class.full]="md.full"
    [class.small]="!md.full"
    [src]="link | safe"
    frameborder="0"
    allowfullscreen
  ></iframe>

  <ion-row [hidden]="md.full">
    <ion-col col-2 style="text-align: center">
      <button (click)="prev()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-backward"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-8 style="text-align: center">
      <button
        ion-button
        block
        clear
        style="color:white;height: 50% !important;font-size: 1.6rem"
        (click)="gotoalbum()"
      >
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>

      <button
        ion-button
        block
        clear
        style="color:#AAA;height: 50% !important"
        (click)="gotoartist()"
      >
        <span
          class="shadowt"
          style="text-overflow: ellipsis;overflow: hidden;color:azure"
          >{{ tracks.artistName }}
          <span *ngIf="tracks.collaborations">
            &
            <span *ngFor="let collabo of tracks.collaborations">
              {{ collabo.name }}</span
            >
          </span>
          <span *ngIf="tracks.featuring"
            >ft:
            <span *ngFor="let ft of tracks.featuring"> {{ ft.name }}</span>
          </span>
        </span>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: center">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>

  <hr [hidden]="md.full" />

  <ion-list no-lines style="background-color: transparent" [hidden]="md.full">
    <ion-item
      *ngFor="let track of videos; let i = index"
      block
      clear
      style="background-color: transparent;color:white"
      (click)="play(i)"
    >
      <ion-avatar item-left>
        <img src="{{ track.art }}" />
      </ion-avatar>
      <h2>{{ track.title }}</h2>
      <p style="color:white">{{ track.artistName }}</p>
      <ion-icon
        *ngIf="track.key == tracks.key"
        name="play"
        style="opacity: 0.8;color:#bd3f32"
        item-left
      ></ion-icon>
    </ion-item>

    <ion-item style="background-color: transparent;color:white"></ion-item>
  </ion-list>
</ion-content>
